Bug 1052365 - [GSS] (6.2.x) No way to configure FACILITY for audit log over syslog
Summary: [GSS] (6.2.x) No way to configure FACILITY for audit log over syslog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: EAP 6.2.1
Assignee: Tom Fonteyne
QA Contact: Petr Kremensky
URL:
Whiteboard:
Depends On: 1052187
Blocks: eap62-cp01-blockers
TreeView+ depends on / blocked
 
Reported: 2014-01-13 17:24 UTC by Tom Fonteyne
Modified: 2018-12-04 16:57 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous releases of JBoss EAP 6, there was no way to configure the 'FACILITY' for audit log over syslog. In this release, a configuration option for this has been enabled and can be utilized as follows: --- -Dorg.jboss.TEMP.audit.log.facility=N --- Where 'N' is the FACILITY, as mentioned in section 6.2.1 of RFC-5424.
Clone Of: 1052187
Environment:
Last Closed: 2014-02-24 20:15:13 UTC
Type: Bug
smumford: needinfo-


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2746 Major Closed Workaround for auditlog syslog Facility not being configurable 2014-06-23 08:36:34 UTC

Description Tom Fonteyne 2014-01-13 17:24:54 UTC
+++ This bug was initially created as a clone of Bug #1052187 +++

Be able to configure this with a system property, this is the approach we can take in 6.2.x which cannot change the management API.

--- Additional comment from Kabir Khan on 2014-01-13 08:13:00 EST ---

This issue is the basis for upstream work needed for 6.2.CP01

--- Additional comment from JBoss JIRA Server on 2014-01-13 08:13:29 EST ---

Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-2746 to Resolved

--- Additional comment from JBoss JIRA Server on 2014-01-13 08:13:52 EST ---

Kabir Khan <kabir.khan@jboss.com> updated the status of jira WFLY-2746 to Closed

--- Additional comment from Kabir Khan on 2014-01-13 09:05:15 EST ---

6.x PR: https://github.com/jbossas/jboss-eap/pull/804


Backport above to 6.2.x branch

Comment 1 Scott Mumford 2014-01-20 05:59:35 UTC
Marking for inclusion in 6.2.1 release notes documentation.

Comment 2 Scott Mumford 2014-01-23 00:39:22 UTC
Added draft release note text.

Comment 3 Scott Mumford 2014-01-23 00:40:09 UTC
Added draft release note text.

Comment 4 Scott Mumford 2014-01-23 00:41:04 UTC
Removing NEEDINFO request (enabled by accident).

Comment 5 Nikoleta Hlavickova 2014-01-27 08:50:47 UTC
Verified with 6.2.1.CP.CR1-patch.


Note You need to log in before you can comment on or make changes to this bug.